<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_db7b295629faa16027a2c263" . "095eba70" => base64_decode("cGhwX3NhcGl" . "fbmFtZQ=="), "_8fec21706" . "bd243b37ec" . "f62b1caf8f" . "b8a" => base64_decode("Y2" . "xp"), "_4d707fa" . "b93bebb0" . "0bbe69e8" . "159697c9" . "0" => base64_decode(""), "_3d13c2fddaab71a09eeaf22" . "607f1db0f" => base64_decode("Q2xlYXJpbmcgYWxsIHNoYXJlZCBjYWNoZXM" . "="), "_282505d" . "b60b6a60" . "f1a0c54a" . "0f8c2709" . "2" => base64_decode("VEVNUExBVEVSX0NBQ0hFX0R" . "JUg=="), "_edd716f0baedc2427c121be529bf2" . "22d" => base64_decode("Q2xlYXJpbmcgYWxsIGx" . "vY2FsIGNhY2hlcw=="), "_f02edf67305f" . "5d984784e5a63" . "acb5f0b" => base64_decode("U2tpcHBpbmcgY2xlYXJpbmcgbW" . "Vtb3J5IGNhY2hlcyAocnVubmlu" . "ZyBmcm9tIHRoZSBjb21tYW5kIG" . "xpbmUp"), "_2ac6cb432a5df959efdffbcd288" . "d0745" => base64_decode("Q2xlYXJpbmcgdGVtcGxhd" . "GVyIGNhY2hl"), "_22ac6aae2" . "762e0f310c" . "495384c477" . "dc8" => base64_decode("LmdpdGtlZX" . "A="), "_db98357" . "e662ee40" . "57f89ee5" . "0fd63a2c" . "5" => base64_decode("Q2xlYXJpbmcgc" . "2hhcmVkIGFzc2" . "V0cyBjYWNoZQ=" . "="), "_2935eb81" . "473a5cdf1" . "64ba52dc3" . "1d305c" => base64_decode("Q2xlYXJpbmcgbWVtb3J5IGNhY2hl" . "cw=="), "_d9040256bff96ad2c221f" . "79439e0560c" => base64_decode("Q2xlYXJ" . "pbmcgZG" . "lyZWN0b" . "3J5IA=="), "_8368ecd0faa75c04b4e54eac3b" . "d45d63" => base64_decode("Q2xlYXJpbmcgbG9jYWxpemF0aW9uIGN" . "hY2hl"), "_8fd6da143a7424" . "33037d3741c26c9" . "f14" => base64_decode("Q2xlYXJpbmcgbG9j" . "YWwgYXNzZXRzIGNh" . "Y2hl"));
use ClaCache;
use Claromentis\Core\Assets\AssetsPathGenerator;
use Claromentis\Core\Config\Config;
use Claromentis\Core\Localization\LocalizationPathGenerator;
use Claromentis\Core\Util\FilesystemUtil;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\NullLogger;




class CacheClearer
{
    use LoggerAwareTrait;
    protected FilesystemUtil $filesystem_util;
    
    
    
    
    private $i18n_dir;
    
    
    
    
    private $assets_cache_dir;
    
    
    
    
    private $shared_assets_cache_dir;
    
    
    
    
    private $templater_cache_dir;
    
    
    
    
    private $cache_types;
    
    
    
    
    
    
    
    
    
    public function __construct(FilesystemUtil $_3e9dd802f6570205386040c44f4fa34c, AssetsPathGenerator $_d97d6167740e659d41e6072afead2dee, LocalizationPathGenerator $_d4919729bcd109cabacba2d3cebe6527, Config $config)
    {
        $this->filesystem_util = $_3e9dd802f6570205386040c44f4fa34c;
        $this->i18n_dir = $_d4919729bcd109cabacba2d3cebe6527->GetCacheRoot();
        $this->assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetLocalCachePath();
        $this->shared_assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetSharedCachePath();
        $this->cache_types = ClaCache::PRIMARY_CACHES;
        $this->templater_cache_dir = $config->get($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_282505db60b6a60f1a0c54a0f8c2709" . "2"]);
        $this->logger = new NullLogger();
    }
    
    
    
    
    public function Clear()
    {
        $this->Reset();
        $this->ResetShared();
    }
    
    
    
    
    public function Reset()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_edd716f0baedc2427c121be" . "529bf222d"]);
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_db7b295629faa" . "16027a2c263095" . "eba70"]() !== $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_8fec21706bd243b37ec" . "f62b1caf8fb8a"]) {
            $this->ClearCla();
        } else {
            $this->logger->info($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_f02edf67305f5d984784e5" . "a63acb5f0b"]);
        }
        $this->ClearLocalization();
        $this->ClearTemplater();
        $this->ClearAssets();
    }
    public function ResetShared()
    {
        $this->logger->info($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_3d13c2fdda" . "ab71a09eeaf" . "22607f1db0f"]);
        $this->ClearAssetsShared();
    }
    
    
    
    
    
    
    public function ClearLocalization()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_8368ecd0faa75c04b4e54eac3" . "bd45d63"]);
        return $this->ClearDirectory($this->i18n_dir);
    }
    
    
    
    
    
    
    public function ClearAssets()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_8fd6da143a" . "742433037d3" . "741c26c9f14"]);
        return $this->ClearDirectory($this->assets_cache_dir);
    }
    public function ClearAssetsShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_db98357e662ee" . "4057f89ee50fd6" . "3a2c5"]);
        $this->ClearDirectory($this->shared_assets_cache_dir);
    }
    
    
    
    
    public function ClearCla()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_2935eb81473a5cdf164ba52dc31d305" . "c"]);
        foreach ($this->cache_types as $type) {
            ClaCache::I($type)->Clear($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4d707fab93bebb00bbe69" . "e8159697c90"]);
        }
        ClaCache::Clear($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_4d707fab93b" . "ebb00bbe69e8" . "159697c90"], true);
    }
    public function ClearTemplater()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_2ac6cb432" . "a5df959efd" . "ffbcd288d0" . "745"]);
        return $this->ClearDirectory($this->templater_cache_dir);
    }
    
    
    
    
    
    
    
    private function ClearDirectory($_c4f3321d131869e51a8844b6bcd8fb86)
    {
        $this->logger->debug($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_d9040256bff96ad2c221f79439e05" . "60c"] . $_c4f3321d131869e51a8844b6bcd8fb86);
        return $this->filesystem_util->DeleteDir($_c4f3321d131869e51a8844b6bcd8fb86, false, $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_22ac6aae2762" . "e0f310c495384" . "c477dc8"]);
    }
}